
********************************************************************************
***						IMPORT DATA
********************************************************************************

/*
The SEDD_4_0 dataset is publicly available for download at:
http://www.ed.lu.se/databases/sedd/sedd-public-access
*/
*Import SEDD dataset
import delimited SEDD_4_0.txt, case(preserve) clear
save EventChronicle.dta, replace

/*
The below PropId dataset contains the links to the geographic data/property units and can provided on request. 
The public research SEDD research dataset (SEDD_4_0) is planned to be updated with the links and available within a near future.
The geographic data is planned to be released publicly within a near future as well.
*/
*Append two input files
use EventChronicle.dta, clear
append using PropId.dta
save EventChronicle.dta, replace

****** VariableSetup
*For SEDD
import delimited "VariableSetup.txt", case(preserve) clear 
replace NoFillDown=1 if Type=="MidWifeReportID"
save VarSetup.dta, replace

*Generate row for new type from property ID
use PropId.dta, clear
keep Type
duplicates drop
gen OnStart = 1
gen DateFormat = ""
gen NoFillDown=.

append using VarSetup.dta
save VarSetup.dta, replace


********************************************************************************
***						CREATE EPISODES FILE
********************************************************************************
/*
The below program transforms the dataset into an episodes file prepared for event history analysis.
For access to this program, see: Quaranta, L. (2016). STATA Programs for Using the Intermediate Data Structure (IDS) to Construct Files for Statistical Analysis. Historical Life Course Studies, Volume 3, 1-19.
*/

discard
sysdir set PERSONAL "D:\...\Do files"
clear


EpisodesFileCreator , atrisk(PresentInContext)



