cd "..."
use SEDD_soilType_Ep_30Apr2015_C, clear

set more off, permanently

drop if Sex=="unknown"
drop if Parish==-2 

char ParishNo [omit] 5
char landses [omit] 3
char farmlab [omit] 2
char soilcat2 [omit] 1


stset date2, failure(death) id(Id_I) time0(date1) origin(time BirthDate) scale(365.25)


********************************************************************************
***							 DESCRIPTIVES FOR TABLE 1
********************************************************************************

** All children (aged 1-15)
tab Sex [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")
tab ParishNo [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")
tab soilcat2 [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")
tab landses [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")
tab farmlab [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")

summarize Area2 SizeFraction BirthYear [iw=(_t-_t0)] if  (agecat==1) & (period =="1850-1914")

**Small- and medium-scaled farmers
tab Sex [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914") & farmlab ==1
tab ParishNo [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914") & farmlab ==1
tab soilcat2 [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")& farmlab ==1 
tab landses [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")& farmlab ==1
tab farmlab [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914") & farmlab ==1

summarize Area2 SizeFraction BirthYear [iw=(_t-_t0)] if  (agecat==1) & (period =="1850-1914") & farmlab ==1

**Labourers
tab Sex [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914") & farmlab ==2
tab ParishNo [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914") & farmlab ==2
tab soilcat2 [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")& farmlab ==2 
tab landses [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914")& farmlab ==2
tab farmlab [iw=(_t-_t0)] if  (agecat ==1) & (period =="1850-1914") & farmlab ==2

summarize Area2 SizeFraction BirthYear [iw=(_t-_t0)] if  (agecat==1) & (period =="1850-1914") & farmlab ==2


********************************************************************************
***		DESCRIPTIVES FOR TABLE 2 (Mortality by cause of death)             *****
********************************************************************************

**All children
tab StandardCause if death==1 & agecat ==1 & period =="1850-1914" 

**Small- and medium-scaled farmers
tab StandardCause if death==1 & agecat ==1 & period =="1850-1914" & farmlab == 1

**Labourers
tab StandardCause if death==1 & agecat ==1 & period =="1850-1914" & farmlab == 2

************************************************************************************************************************
*		FIGURE 4: Nelson-Alen cumulative hazards by SES, SES v2, parish of residence and soil type     
************************************************************************************************************************

** SES
sts graph if (period=="1850-1914") & (agecat == 1), cumhaz by(landses) xlabel(minmax)

** SES v2
sts graph if (period=="1850-1914") & (agecat == 1), cumhaz by(farmlab) xlabel(minmax)

** Parish of residence
sts graph if (period=="1850-1914") & (agecat == 1), cumhaz by(ParishNo) xlabel(minmax)

** Soil type
sts graph if (period=="1850-1914") & (agecat == 1), cumhaz by(soilcat2) xlabel(minmax)



